Skip to content

Retrieve a checkout redirect

GET
/checkout-redirects/{id}
curl --request GET \
--url https://acme.mykreezalid.com/api/v1/checkout-redirects/1 \
--header 'Authorization: Basic <credentials>'

Retrieves a checkout redirect from its unique identifier.

id
required
integer

ID of the redirect

The redirect

Media typeapplication/json

A redirect of the checkout to your own page.

object
totalResultsCount

Number of results across all pages.

integer
currentPage

Number of the page returned, starting at 1.

integer
nextPage

Whether a next page exists.

boolean
prevPage

Whether a previous page exists.

boolean
resultOnPageCount

Number of results on this page.

integer
pageCount

Number of pages.

integer
id
integer
object

Returned when you retrieve or create one redirect, not in the list

string
checkout_step

Step after which the customer is redirected

string
Allowed values: cart shipping
redirect_url

Your page

string
status
string
Allowed values: active inactive
created
string format: date-time

Example

{
"totalResultsCount": 137,
"currentPage": 1,
"resultOnPageCount": 25,
"pageCount": 6,
"id": 4242,
"object": "CheckoutRedirect",
"checkout_step": "cart",
"redirect_url": "https://example.com/checkout-extra",
"status": "active"
}

No redirect has this identifier.

Media typeapplication/json

Error body returned when the API refuses a request.

object
code

HTTP status code, repeated in the body.

integer
status
string
message
string

Example

{
"code": 400,
"status": "error",
"message": "Some parameters are not correct"
}